Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl
Class EventDispatchUtils

    java.lang.Object
      chrriis.dj.nativeswing.swtimpl.EventDispatchUtils

    public class EventDispatchUtils

extends Object

A utility class for event dispatching processes.

Author:
  Christopher Deckers

Nested Class Summary
`static interface` | `EventDispatchUtils.Condition`

Method Summary
`static void` | `sleepWithEventDispatch(EventDispatchUtils.Condition condition, int timeout)` Sleep but dispatch the events currently in the queue if called from the event dispatch thread, until the condition becomes true or the timeout is reached.
`static void` | `sleepWithEventDispatch(int timeout)` Sleep but dispatch the events currently in the queue if called from the event dispatch thread, until the timeout is reached.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### sleepWithEventDispatch

    public static void sleepWithEventDispatch(int timeout)

  Sleep but dispatch the events currently in the queue if called from the event dispatch thread, until the timeout is reached.

  Parameters:
    `timeout` - The maximum time this processing should take.

### sleepWithEventDispatch

    public static void sleepWithEventDispatch(EventDispatchUtils.Condition condition,
                                              int timeout)

  Sleep but dispatch the events currently in the queue if called from the event dispatch thread, until the condition becomes true or the timeout is reached.

  Parameters:
    `condition` - The condition that indicates whether to stop.
    `timeout` - The maximum time this processing should take.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD